% Jonathan D. Hauenstein
% Copyright 2011
% Load points stored in the file named fileName with numVars number of
% coordinates

function [numPts, Pts] = LoadPoints(fileName, numVars)

    % open file
    RF = fopen(fileName, 'r');

    % make sure the file exists
    if RF == -1
        % file does not exist
        disp(['The file ''', fileName, ''' does not exist!']);
        numPts = 0;
        Pts = 0;
        return;
    end;

    % read in the number of points
    numPts = fscanf(RF, '%d', 1);

    % setup Pts
    Pts = zeros(numPts, numVars);

    % loop through to read in the points
    for k = 1:numPts
if mod(k,10000) == 1 disp([num2str(k),' of ',num2str(numPts)]); end;
        % read in the point
        for j = 1:numVars
            P = fscanf(RF, '%e', 2);
            Pts(k,j) = P(1) + 1i*P(2);
        end;
    end;

    % close file
    fclose(RF);

return;

